PHP Manual
Prev |  | Next

# px_set_parameter

(PECL)

px_set_parameter -- Sets a parameter

## Description

bool px_set_parameter ( resource pxdoc, string name, string value )

Sets various parameters.

## Parameters

`pxdoc`

  Resource identifier of the paradox database as returned by px_new().

`name`

  Depending on the parameter you want to set, `name` can be one of the following.

  tablename

    The name of the table as it will be stored in the database header.

  targetencoding

    The encoding for the output. Data which is being read from character fields is recoded into the targetencoding.

  inputencoding

    The encoding of the input data which is to be stored into the database.

`value`

  The value of parameter to set. For inputencoding and targetencoding this must be the name of the encoding as understood by iconv or recode, e.g. iso-8859-1, utf-8, cp850.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

px_get_info() to determine the DOS code page.

Prev | Home | Next
px_set_blob_file | Up | px_set_tablename